"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.defaultProps = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _classnames = _interopRequireDefault(require("classnames"));

var _lodash = _interopRequireDefault(require("lodash.omit"));

var _lib = _interopRequireDefault(require("map-to-css-modules/lib"));

var _Close = _interopRequireDefault(require("@bootstrap-styled/v4/lib/Close"));

var _theme = _interopRequireDefault(require("./theme"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var defaultProps = {
  active: false,
  dismiss: null,
  menuClose: false,
  bgColor: null,
  right: false,
  push: false,
  top: null,
  show: null,
  cssModule: null,
  theme: _theme.default
}; // eslint-disable-next-line react/prefer-stateless-function

exports.defaultProps = defaultProps;

var OffsetNavUnstyled =
/*#__PURE__*/
function (_React$Component) {
  _inherits(OffsetNavUnstyled, _React$Component);

  function OffsetNavUnstyled() {
    _classCallCheck(this, OffsetNavUnstyled);

    return _possibleConstructorReturn(this, _getPrototypeOf(OffsetNavUnstyled).apply(this, arguments));
  }

  _createClass(OffsetNavUnstyled, [{
    key: "render",
    value: function render() {
      var _omit = (0, _lodash.default)(this.props, ['theme', 'push', 'top']),
          className = _omit.className,
          children = _omit.children,
          active = _omit.active,
          dismiss = _omit.dismiss,
          menuClose = _omit.menuClose,
          bgColor = _omit.bgColor,
          cssModule = _omit.cssModule,
          right = _omit.right,
          show = _omit.show,
          attributes = _objectWithoutProperties(_omit, ["className", "children", "active", "dismiss", "menuClose", "bgColor", "cssModule", "right", "show"]);

      var menuDirectionClassNames = right ? 'menu-right' : 'menu-left';
      var cssClasses = (0, _classnames.default)(className, menuDirectionClassNames, _defineProperty({}, "bg-".concat(bgColor), bgColor));
      return _react.default.createElement("div", _extends({
        className: (0, _lib.default)((0, _classnames.default)(cssClasses, {
          active: active
        }), cssModule)
      }, attributes, {
        show: show
      }), menuClose && _react.default.createElement(_Close.default, {
        "aria-label": "Close",
        onDismiss: dismiss
      }), children);
    }
  }]);

  return OffsetNavUnstyled;
}(_react.default.Component);

_defineProperty(OffsetNavUnstyled, "propTypes", {
  className: _propTypes.default.string.isRequired,
  children: _propTypes.default.node.isRequired,
  active: _propTypes.default.bool,
  dismiss: _propTypes.default.func,
  menuClose: _propTypes.default.bool,
  theme: _propTypes.default.object,
  bgColor: _propTypes.default.string,
  top: _propTypes.default.string,
  right: _propTypes.default.bool,
  push: _propTypes.default.bool,
  show: _propTypes.default.oneOf(['xs', 'sm', 'md', 'lg', 'xl']),
  cssModule: _propTypes.default.object
});

_defineProperty(OffsetNavUnstyled, "defaultProps", defaultProps);

var OffsetNav = (0, _styledComponents.default)(OffsetNavUnstyled).withConfig({
  displayName: "OffsetNav",
  componentId: "ugfqyk-0"
})(["", ""], function (props) {
  return "\n    position: fixed;\n    top: ".concat(props.top ? "".concat(props.top, "px;") : '0;', "\n    bottom: 0;\n    width: ").concat(props.theme.navigationBar['$menu-offset-width'], ";\n    height: 100%;\n    background-color: ").concat(props.theme.navigationBar['$menu-offset-nav-bg-color'], ";\n    z-index: calc(").concat(props.theme.navigationBar['$zindex-overlay'], " + 10);\n  ");
});
OffsetNav.defaultProps = defaultProps;
var _default = OffsetNav;
exports.default = _default;