"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _transition = require("@bootstrap-styled/css-mixins/lib/transition");

var _breakpoints = _interopRequireDefault(require("@bootstrap-styled/css-mixins/lib/breakpoints"));

var _conditional = require("@bootstrap-styled/css-mixins/lib/conditional");

var _boxShadow = require("@bootstrap-styled/css-mixins/lib/box-shadow");

var _OffsetNav = _interopRequireDefault(require("./OffsetNav"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var OffsetNavPush = (0, _styledComponents.default)(_OffsetNav.default).withConfig({
  displayName: "OffsetNavPush",
  componentId: "pgn177-0"
})(["", ""], function (props) {
  return "\n    ".concat((0, _boxShadow.boxShadow)(props.theme['$enable-shadows'], props.theme.navigationBar['$menu-offset-nav-box-shadow']), "\n    &.menu-left {\n      // if showMenu is true, then it shows the menu from xs-xl. If showMenu is set with a string such as md, it will only be show from breakpoint md and upwards.\n      ").concat((0, _conditional.ifElse)(props.show, props.show === 'xs' ? 'left: 0;' : "left: -".concat(props.theme.navigationBar['$menu-offset-width'], "; ").concat(_breakpoints.default.up(props.show, props.theme['$grid-breakpoints'], 'left: 0;')), "left: -".concat(props.theme.navigationBar['$menu-offset-width'], ";")), "\n      ").concat((0, _transition.transition)(props.theme['$enable-transitions'], props.theme.navigationBar['$menu-offset-nav-transition']), "\n      &.active {\n        left: 0;\n      }\n    }\n    \n    &.menu-right {\n      ").concat((0, _conditional.ifElse)(props.show, props.show === 'xs' ? 'right: 0;' : "right: -".concat(props.theme.navigationBar['$menu-offset-width'], "; ").concat(_breakpoints.default.up(props.show, props.theme['$grid-breakpoints'], 'right: 0;')), "right: -".concat(props.theme.navigationBar['$menu-offset-width'], ";")), "\n      ").concat((0, _transition.transition)(props.theme['$enable-transitions'], props.theme.navigationBar['$menu-offset-nav-transition']), "\n      &.active {\n        right: 0;\n      }\n    }\n  ");
});
var _default = OffsetNavPush;
exports.default = _default;
module.exports = exports.default;