"use strict";

var _theme = require("../theme");

var _NavigationStyleguide = require("../NavigationStyleguide");

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

describe('makeTheme', function () {
  it('should use default values', function () {
    var defaultTheme = _NavigationStyleguide.defaultProps.theme; // eslint-disable-line prefer-destructuring

    expect((0, _theme.makeTheme)().navigationStyleguide).toEqual(defaultTheme.navigationStyleguide);
  });
  it('should create scope', function () {
    expect(_typeof((0, _theme.makeTheme)().navigationStyleguide)).toEqual('object');
  });
  it('should create custom theme', function () {
    var customTheme = {
      navigationStyleguide: {
        '$nav-styleguide-height': '50%'
      }
    };
    expect((0, _theme.makeTheme)(customTheme).navigationStyleguide['$nav-styleguide-color']).toEqual('#444444');
    expect((0, _theme.makeTheme)(customTheme).navigationStyleguide['$nav-styleguide-height']).toEqual('50%');
  });
});